﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3014: (1 year) VER RS-232 /9500+4Hd
DATE:                  2010-08-04 15:09:50
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       210
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3014
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B RS-232 Interface
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Tek TDS3000 Setup RS-232
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test RS-232
#        Sub Tek TDS3000 Signal Path Compensation Cal RS-232
#        Sub Tek TDS3000 (1 yr) DCV RS-232 /9500
#        Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600
#        Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600
#        Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /9500
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.024  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.025  CALL         Sub Tek TDS3000 Setup RS-232

  1.026  PORT         *RST;*OPC?[I!]

  1.027  HEAD         UUT IDENTIFICATION
  1.028  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.029  MATH         @UUT_Manufacturer = "Tektronix"
  1.030  MATH         @UUT_Model        = "TDS 3014"
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Tek TDS3000 Check Firmware Version
  1.034  JMPL         END                           @Abort

  1.035  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.036  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.037  JMPL         END                           @Abort

  1.038  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.039  JMPL         END                           @Abort

  1.040  DISP         Connect the 9500 to the UUT as follows:
  1.040  DISP
  1.040  DISP         CH 1 Active Head to UUT CH 1.
  1.040  DISP         CH 2 Active Head to UUT CH 2.
  1.040  DISP         CH 3 Active Head to UUT CH 3.
  1.040  DISP         CH 4 Active Head to UUT CH 4.

  1.041  MATH         @Chan = 1
  1.042  M9500                       CH1
  1.043  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.044  MATH         @Chan = 2
  1.045  M9500                       CH2
  1.046  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.047  MATH         @Chan = 3
  1.048  M9500                       CH3
  1.049  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.050  MATH         @Chan = 4
  1.051  M9500                       CH4
  1.052  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /9500

  1.053  MATH         @Chan = 1
  1.054  M9500                       CH1
  1.055  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.056  MATH         @Chan = 2
  1.057  M9500                       CH2
  1.058  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.059  MATH         @Chan = 3
  1.060  M9500                       CH3
  1.061  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.062  MATH         @Chan = 4
  1.063  M9500                       CH4
  1.064  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /9500/600

  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.071  MATH         @Chan = 3
  1.072  M9500                       CH3
  1.073  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.074  MATH         @Chan = 4
  1.075  M9500                       CH4
  1.076  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /9500/600

  1.077  MATH         @Chan = 1
  1.078  M9500                       CH1
  1.079  CALL         Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /9500

  1.080  LABEL        END
  1.081  HEAD         -2

  1.082  IF           @Abort
  1.083  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.084  ELSE
  1.085  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.086  ENDIF

  1.087  END
